package com.tianji.learning.service;

import com.tianji.common.domain.dto.PageDTO;
import com.tianji.common.domain.query.PageQuery;
import com.tianji.learning.domain.po.LearningLesson;
import com.baomidou.mybatisplus.extension.service.IService;
import com.tianji.learning.domain.vo.LearningLessonVO;

import java.util.List;

/**
 * <p>
 * 学生课程表 服务类
 * </p>
 *
 * @author 东哥
 * @since 2024-11-06
 */
public interface ILearningLessonService extends IService<LearningLesson> {

    /**
     * 1、添加到课程到课表（Day2 - 课堂1）
     * @param userId 用户ID
     * @param courseIds 课程ID集合
     */
    void addLessons(Long userId, List<Long> courseIds);

    /**
     * 2、分页查询我的课表
     * @param pageQuery 分页查询参数对象（Day2 - 课堂2）
     * @return
     */

    PageDTO<LearningLessonVO> pageQueryMyLessons(PageQuery pageQuery);
}
